%!octave 
%      
% linear regression 
%       
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: main.m,v 1.1 2014/05/18 11:11:25 mechanoid Exp mechanoid $


printf("загружаем данные\n") ;
D=load_data();
X=D{1}; X=[ones(size(X,1),1) X ] ;
Y=D{2};

printf("вычисляем коэффициенты\n") ;
T = pinv(X'*X)*X'*Y ;
save("-text","result/t.txt", "T") ;

printf("тестируем\n") ;
Y=X*T ;
 
printf("рисуем результат\n") ;
plot_data(D,Y,"res") ;


